Summary:	GPSBabel converts GPS data from one format to another	
Name:		gpsbabel
Version:	1.5.0
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools		
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:       %{name}.desktop
Source2:       %{name}.png
Patch1:       gpsbabel-1.4.2-xmldoc.patch
Patch2:       gpsbabel-1.4.3-use-system-shapelib.patch
Patch3:       gpsbabel-1.4.3-gmapbase.patch
Patch4:       gpsbabel-1.4.3-nosolicitation.patch
Patch5:       0006-Use-system-zlib.patch
URL:		http://%{name}.sourceforge.net
BuildRoot:	%_tmppath/%name-%version-root
BuildRequires:	expat-devel libusb-devel zlib-devel
BuildRequires:  qt4-devel
BuildRequires:	shapelib-devel
BuildRequires: %{_lib}qt4-devel

%description
GPSBabel converts waypoints, tracks, and routes from one format to another, 
whether that format is a common mapping format like Delorme, Streets and 
Trips, or even a serial upload or download to a GPS unit such as those from 
Garmin and Magellan. By flatting the Tower of Babel that the authors of 
various programs for manipulating GPS data have imposed upon us, it returns 
to us the ability to freely move our own waypoint data between the programs 
and hardware we choose to use.

%package gui
Summary:        Qt GUI interface for GPSBabel
Group:          Graphical desktop/KDE4 
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description gui
Qt GUI interface for GPSBabel

%prep
%setup -q
# Use system shapelib instead of bundled partial shapelib
rm -rf shapelib
%apply_patches

# Get rid of bundled zlib
# configure --with-zlib=system is not enough,
# building still accesses bundled zlib headers
rm -rf zlib/*
touch zlib/empty.in

# Avoid calling autoconf from Makefile
touch -r configure.in configure Makefile.in

%build
%configure2_5x --with-zlib=system
# fix linking:
perl -pi -e 's!-lm!-lm -lshp!' Makefile
%make
pushd gui
%qmake_qt4
lrelease *.ts
%make
popd

%install
install -d %buildroot%{_bindir}
%makeinstall_std

%makeinstall_std -C gui
install -m 0755 -d                            %{buildroot}%{_bindir}/
install -m 0755 -p gui/objects/gpsbabelfe-bin %{buildroot}%{_bindir}/
install -m 0755 -d                            %{buildroot}%{translationdir}/
install -m 0644 -p gui/gpsbabel*_*.qm         %{buildroot}%{translationdir}/

desktop-file-install \
        --dir %{buildroot}/%{_datadir}/applications \
        %{SOURCE1}

install -m 0755 -d            %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/
install -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/

%find_lang %{name} 

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc README* COPYING
%{_bindir}/%{name}

%files gui -f %{name}.lang
%defattr(-,root,root,-)
%doc gui/{AUTHORS,COPYING.txt,README*,TODO} gui/help/gpsbabel.html
%{_bindir}/gpsbabelfe-bin
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/256x256/apps/*


%changelog
* Thu Nov 13 2014 bb <bb> 1.5.0-1pclos2014
- update

* Wed Oct 16 2013 pinoc <vogtpet at gmail.com> 1.4.4-1pclos2013
- 1.4.4

